Package com.databricks.jdbc.model.core

## Class ColumnInfo

- java.lang.Object
- - com.databricks.jdbc.model.core.ColumnInfo

    public class ColumnInfo
    extends Object

Column info POJO

TODO: Replace this class with the corresponding SDK implementation once it becomes available

### Constructor Summary

Constructors
`ColumnInfo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(Object o)`
`String` `getName()`
`Long` `getPosition()`
`String` `getTypeIntervalType()`
`ColumnInfoTypeName` `getTypeName()`
`Long` `getTypePrecision()`
`Long` `getTypeScale()`
`String` `getTypeText()`
`int` `hashCode()`
`ColumnInfo` `setName​(String name)`
`ColumnInfo` `setPosition​(Long position)`
`ColumnInfo` `setTypeIntervalType​(String typeIntervalType)`
`ColumnInfo` `setTypeName​(ColumnInfoTypeName typeName)`
`ColumnInfo` `setTypePrecision​(Long typePrecision)`
`ColumnInfo` `setTypeScale​(Long typeScale)`
`ColumnInfo` `setTypeText​(String typeText)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ColumnInfo

    public ColumnInfo()

### Method Detail

#### setName

    public ColumnInfo setName​(String name)

#### getName

    public String getName()

#### setPosition

    public ColumnInfo setPosition​(Long position)

#### getPosition

    public Long getPosition()

#### setTypeIntervalType

    public ColumnInfo setTypeIntervalType​(String typeIntervalType)

#### getTypeIntervalType

    public String getTypeIntervalType()

#### setTypeName

    public ColumnInfo setTypeName​(ColumnInfoTypeName typeName)

#### getTypeName

    public ColumnInfoTypeName getTypeName()

#### setTypePrecision

    public ColumnInfo setTypePrecision​(Long typePrecision)

#### getTypePrecision

    public Long getTypePrecision()

#### setTypeScale

    public ColumnInfo setTypeScale​(Long typeScale)

#### getTypeScale

    public Long getTypeScale()

#### setTypeText

    public ColumnInfo setTypeText​(String typeText)

#### getTypeText

    public String getTypeText()

#### equals

    public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`